"use strict";
var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  Bold: () => Bold,
  Code: () => Code,
  Delimiter: () => Delimiter,
  FallbackBlock: () => FallbackBlock,
  Header: () => Header,
  ImageFrame: () => ImageFrame,
  Italic: () => Italic,
  LinkTool: () => LinkTool,
  List: () => List,
  Mark: () => Mark,
  Paragraph: () => Paragraph,
  Quote: () => Quote,
  SimpleImage: () => SimpleImage,
  Underline: () => Underline,
  createEditorJsViewer: () => createEditorJsViewer
});
module.exports = __toCommonJS(src_exports);

// src/components/Bold/index.tsx
var import_react_native = require("react-native");
var Bold = ({ fontFamily, children }) => {
  return <import_react_native.Text
    allowFontScaling={true}
    style={{
      fontWeight: "700",
      fontFamily
    }}
  >{children}</import_react_native.Text>;
};

// src/components/Code/index.tsx
var import_react_native3 = require("react-native");

// src/components/Code/styles.ts
var import_react_native2 = require("react-native");
var styles = import_react_native2.StyleSheet.create({
  code: {
    color: "#C44437",
    backgroundColor: "#f2f2f2"
  }
});

// src/components/Code/index.tsx
var Code = ({ children }) => {
  return <import_react_native3.Text
    allowFontScaling={true}
    style={styles.code}
  >{children}</import_react_native3.Text>;
};

// src/components/Delimiter/index.tsx
var import_react_native5 = require("react-native");
var import_html_entities = require("html-entities");

// src/components/Delimiter/styles.ts
var import_react_native4 = require("react-native");
var styles2 = import_react_native4.StyleSheet.create({
  container: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    width: "100%",
    marginVertical: 6,
    paddingVertical: 16
  },
  delimiter: {
    marginHorizontal: 6,
    fontSize: 24,
    color: "#181819"
  }
});

// src/components/Delimiter/index.tsx
var Delimiter = (_a) => {
  var _b = _a, { style } = _b, rest = __objRest(_b, ["style"]);
  return <import_react_native5.View
    aria-hidden
    style={[
      style,
      __spreadValues({}, styles2.container)
    ]}
    {...rest}
  >
    <import_react_native5.Text style={styles2.delimiter}>{(0, import_html_entities.decode)("&ast;")}</import_react_native5.Text>
    <import_react_native5.Text style={styles2.delimiter}>{(0, import_html_entities.decode)("&ast;")}</import_react_native5.Text>
    <import_react_native5.Text style={styles2.delimiter}>{(0, import_html_entities.decode)("&ast;")}</import_react_native5.Text>
  </import_react_native5.View>;
};

// src/components/FallbackBlock/index.tsx
var import_react_native7 = require("react-native");

// src/components/FallbackBlock/styles.ts
var import_react_native6 = require("react-native");
var styles3 = import_react_native6.StyleSheet.create({
  container: {
    display: "flex",
    alignItem: "center",
    justifyContent: "center",
    marginVertical: 6,
    marginHorizontal: 12,
    padding: 12,
    backgroundColor: "#F4EDED",
    borderColor: "#E88285",
    borderStyle: "solid",
    borderWidth: 1
  },
  alertText: {
    fontSize: 16,
    color: "#E44045",
    textAlign: "center"
  }
});

// src/components/FallbackBlock/index.tsx
var FallbackBlock = (_a) => {
  var _b = _a, { blockType, style } = _b, rest = __objRest(_b, ["blockType", "style"]);
  return <import_react_native7.View
    accessibilityRole="alert"
    style={[style, styles3.container]}
    {...rest}
  ><import_react_native7.Text
    accessible
    style={styles3.alertText}
  >
    {'Type "'}
    {blockType}
    {'" is yet not supported :c'}
  </import_react_native7.Text></import_react_native7.View>;
};

// src/components/Header/index.tsx
var import_react_native9 = require("react-native");
var import_react = require("react");

// src/components/Header/styles.ts
var import_react_native8 = require("react-native");
var styles4 = import_react_native8.StyleSheet.create({
  global: {
    marginVertical: 6,
    color: "#181819"
  },
  h1: {
    fontWeight: "700",
    fontSize: 24
  },
  h2: {
    fontWeight: "700",
    fontSize: 22
  },
  h3: {
    fontWeight: "600",
    fontSize: 20
  },
  h4: {
    fontWeight: "600",
    fontSize: 18
  },
  h5: {
    fontWeight: "600",
    fontSize: 16
  },
  h6: {
    fontWeight: "500",
    fontSize: 16
  }
});

// src/components/Header/index.tsx
var Header = (_a) => {
  var _b = _a, { data, fontFamily, style } = _b, rest = __objRest(_b, ["data", "fontFamily", "style"]);
  const stylesByHeadingLevel = (0, import_react.useMemo)(() => styles4[`h${data.level}`], []);
  return <import_react_native9.Text
    accessible={true}
    accessibilityRole="header"
    allowFontScaling={true}
    style={[
      style,
      __spreadProps(__spreadValues(__spreadValues({}, styles4.global), stylesByHeadingLevel), { fontFamily })
    ]}
    {...rest}
  >{data.text}</import_react_native9.Text>;
};

// src/components/ImageFrame/index.tsx
var import_react_native11 = require("react-native");

// src/constants/sizes.ts
var IMAGEHEIGHT = 180;

// src/components/ImageFrame/styles.ts
var import_react_native10 = require("react-native");
var styles5 = import_react_native10.StyleSheet.create({
  container: {
    width: "100%",
    marginVertical: 6,
    alignItems: "center"
  },
  image: {
    height: IMAGEHEIGHT,
    width: "100%",
    resizeMode: "contain",
    backgroundColor: "#f2f2f2"
  },
  caption: {
    width: "100%",
    marginTop: 4,
    fontSize: 12,
    color: "#292929",
    textAlign: "center"
  }
});

// src/components/ImageFrame/index.tsx
var ImageFrame = (_a) => {
  var _b = _a, { data, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "captionFontFamily", "style"]);
  return <import_react_native11.View
    style={[
      style,
      __spreadProps(__spreadValues({}, styles5.container), {
        height: data.caption ? IMAGEHEIGHT + 24 : IMAGEHEIGHT
      })
    ]}
    {...rest}
  >
    <import_react_native11.Image
      accessible
      accessibilityHint={`${data.caption} image`}
      accessibilityRole="image"
      source={{ uri: data.file.url }}
      style={styles5.image}
    />
    {data.caption && <import_react_native11.Text
      aria-hidden
      style={__spreadProps(__spreadValues({}, styles5.caption), { fontFamily: captionFontFamily })}
    >{data.caption}</import_react_native11.Text>}
  </import_react_native11.View>;
};

// src/components/Italic/index.tsx
var import_react_native13 = require("react-native");

// src/components/Italic/styles.ts
var import_react_native12 = require("react-native");
var styles6 = import_react_native12.StyleSheet.create({
  italic: {
    fontStyle: "italic"
  }
});

// src/components/Italic/index.tsx
var Italic = ({ children, fontFamily }) => {
  return <import_react_native13.Text
    allowFontScaling={true}
    style={__spreadProps(__spreadValues({}, styles6.italic), {
      fontFamily
    })}
  >{children}</import_react_native13.Text>;
};

// src/components/LinkTool/index.tsx
var import_react_native15 = require("react-native");
var import_react2 = require("react");

// src/components/LinkTool/styles.ts
var import_react_native14 = require("react-native");
var IMAGEHEIGHT2 = 100;
var styles7 = import_react_native14.StyleSheet.create({
  wrapper: {
    width: "100%",
    marginVertical: 6
  },
  container: {
    flexDirection: "row",
    width: "100%",
    borderRadius: 2,
    borderColor: "#DFDFDE",
    borderStyle: "solid",
    borderWidth: 1
  },
  dataContainer: {
    flex: 1,
    paddingTop: 12,
    paddingBottom: 12,
    paddingLeft: 12
  },
  title: {
    fontWeight: "600",
    fontSize: 16,
    height: 18
  },
  description: {
    color: "#7D7C78",
    marginTop: 4,
    fontSize: 14,
    height: 32
  },
  link: {
    marginTop: 6,
    fontSize: 14,
    height: 16
  },
  imageContainer: {
    width: IMAGEHEIGHT2,
    height: IMAGEHEIGHT2,
    marginLeft: 12,
    alignItems: "center"
  },
  image: {
    width: "100%",
    height: IMAGEHEIGHT2,
    resizeMode: "cover"
  }
});

// src/components/LinkTool/index.tsx
var LinkTool = (_a) => {
  var _b = _a, { data: { link, meta }, style } = _b, rest = __objRest(_b, ["data", "style"]);
  var _a2;
  const handleOpenLink = (0, import_react2.useCallback)((link2) => __async(void 0, null, function* () {
    try {
      yield import_react_native15.Linking.openURL(link2);
    } catch (e) {
      import_react_native15.Alert.alert(`Don't know how to open this URL: ${link2}`);
    }
  }), []);
  return <><import_react_native15.TouchableOpacity
    accessible
    accessibilityRole="link"
    accessibilityLabel="Bookmark"
    accessibilityHint="Clique para abrir o link"
    activeOpacity={0.2}
    style={[style, styles7.wrapper]}
    onPress={() => handleOpenLink(link)}
    {...rest}
  ><import_react_native15.View style={styles7.container}>
    <import_react_native15.View style={styles7.dataContainer}>
      {(meta.title || meta.site_name) && <import_react_native15.Text
        style={styles7.title}
        numberOfLines={1}
        ellipsizeMode="tail"
      >{meta.title || meta.site_name}</import_react_native15.Text>}
      {meta.description && <import_react_native15.Text
        style={styles7.description}
        numberOfLines={2}
        ellipsizeMode="tail"
      >{meta.description}</import_react_native15.Text>}
      {link && <import_react_native15.Text
        style={styles7.link}
        numberOfLines={1}
        ellipsizeMode="tail"
      >{link}</import_react_native15.Text>}
    </import_react_native15.View>
    <import_react_native15.View style={styles7.imageContainer}>{((_a2 = meta == null ? void 0 : meta.image) == null ? void 0 : _a2.url) && <import_react_native15.Image
      source={{
        uri: meta.image.url
      }}
      style={styles7.image}
    />}</import_react_native15.View>
  </import_react_native15.View></import_react_native15.TouchableOpacity></>;
};

// src/components/List/index.tsx
var import_react5 = require("react");
var import_react_native20 = require("react-native");

// src/components/List/styles.ts
var import_react_native16 = require("react-native");
var styles8 = import_react_native16.StyleSheet.create({
  list: {
    marginVertical: 6
  }
});

// src/components/List/ItemList/index.tsx
var import_react4 = require("react");
var import_react_native19 = require("react-native");

// src/hooks/useParseHtmlTags.tsx
var import_react3 = require("react");
var import_react_native17 = require("react-native");
var import_html_entities2 = require("html-entities");
var useParseHtmlTags = () => {
  const defaultListTags = (0, import_react3.useMemo)(() => [
    "b",
    "code",
    "i",
    "mark",
    "u"
  ], []);
  const getTagName = (0, import_react3.useCallback)((value) => {
    var _a, _b, _c;
    const startTagName = value.trim().substring(1);
    const indexOfEndTagName = (_b = (_a = startTagName.match(/ (.*?)>/)) == null ? void 0 : _a.index) != null ? _b : 1;
    return startTagName.substring(0, (_c = Number(indexOfEndTagName)) != null ? _c : 1);
  }, []);
  const getComponentByName = (0, import_react3.useCallback)((name) => {
    switch (name) {
      case "b":
        return Bold;
      case "code":
        return Code;
      case "i":
        return Italic;
      case "mark":
        return Mark;
      case "u":
        return Underline;
      default:
        return import_react_native17.Text;
    }
  }, []);
  const createElementByTagName = (0, import_react3.useCallback)(
    (tagChildren, tagName) => {
      return (0, import_react3.createElement)(
        getComponentByName(tagName),
        null,
        tagChildren
      );
    },
    [getComponentByName]
  );
  const matchTagInList = (0, import_react3.useCallback)(
    (listOfTags, text) => {
      const { match } = listOfTags.reduce((acum, tag) => {
        const currentMatch = text.match(new RegExp(`<${tag}(.*?)>`));
        if (!currentMatch)
          return acum;
        if (acum.match == null) {
          acum.match = currentMatch;
          return acum;
        }
        const currentMatchIsPreviousAcumMatch = currentMatch.index != null && acum.match.index != null && currentMatch.index < acum.match.index;
        if (currentMatchIsPreviousAcumMatch) {
          acum.match = currentMatch;
          return acum;
        }
        return acum;
      }, { match: null });
      return match;
    },
    []
  );
  const parseHtmlTag = (0, import_react3.useCallback)(
    (listOfTags, value) => {
      const firstMatchTag = matchTagInList(listOfTags, value);
      if (firstMatchTag == null || (firstMatchTag == null ? void 0 : firstMatchTag.index) == null) {
        return <import_react3.Fragment>{(0, import_html_entities2.decode)(value)}</import_react3.Fragment>;
      }
      const stringAfterTargetTag = value.substring(firstMatchTag.index + firstMatchTag[0].length);
      const tagName = getTagName(firstMatchTag[0]);
      const closeTag = stringAfterTargetTag.match(new RegExp(`</${tagName}>`));
      const nextOpenTag = matchTagInList(listOfTags, stringAfterTargetTag);
      if ((closeTag == null ? void 0 : closeTag.index) == null || closeTag.index == null && (nextOpenTag == null ? void 0 : nextOpenTag.index) == null) {
        return <import_react3.Fragment>{(0, import_html_entities2.decode)(value)}</import_react3.Fragment>;
      }
      if ((nextOpenTag == null ? void 0 : nextOpenTag.index) == null || closeTag.index < nextOpenTag.index) {
        const textBeforeTag2 = value.substring(0, firstMatchTag.index);
        const tagText2 = stringAfterTargetTag.substring(0, closeTag.index);
        const textAfterTag2 = stringAfterTargetTag.substring(closeTag.index + closeTag[0].length);
        return <import_react3.Fragment>
          {textBeforeTag2 && (0, import_html_entities2.decode)(textBeforeTag2)}
          {createElementByTagName((0, import_html_entities2.decode)(tagText2), tagName)}
          {textAfterTag2 && parseHtmlTag(listOfTags, textAfterTag2)}
        </import_react3.Fragment>;
      }
      const textBeforeTag = value.substring(0, firstMatchTag.index);
      const tagText = value.substring(firstMatchTag.index + firstMatchTag[0].length);
      const textAfterTag = stringAfterTargetTag.substring(closeTag.index + closeTag[0].length);
      return <import_react3.Fragment>
        {textBeforeTag && (0, import_html_entities2.decode)(textBeforeTag)}
        {createElementByTagName(
          parseHtmlTag(listOfTags, tagText.substring(0, closeTag.index)),
          tagName
        )}
        {textAfterTag && parseHtmlTag(listOfTags, textAfterTag)}
      </import_react3.Fragment>;
    },
    [matchTagInList, getTagName, createElementByTagName]
  );
  return {
    defaultListTags,
    parseHtmlTag
  };
};

// src/components/List/ItemList/styles.ts
var import_react_native18 = require("react-native");
var styles9 = import_react_native18.StyleSheet.create({
  container: {
    flexDirection: "row",
    alignContent: "center",
    paddingLeft: 12
  },
  listItem: {
    fontSize: 16,
    color: "#292929"
  },
  dot: {
    height: 6,
    maxHeight: 6,
    width: 6,
    maxWidth: 6,
    marginRight: 12,
    borderRadius: 6,
    backgroundColor: "#292929"
  }
});

// src/components/List/ItemList/index.tsx
var ItemList = ({ value, listStyle, index, fontFamily }) => {
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = (0, import_react4.useMemo)(() => parseHtmlTag(defaultListTags, value), []);
  return <import_react_native19.View style={styles9.container}>
    {{
      "ordered": <import_react_native19.View style={styles9.dot} />,
      "unordered": <import_react_native19.Text style={__spreadProps(__spreadValues({}, styles9.listItem), { marginRight: 16 })}>{index + 1}</import_react_native19.Text>
    }[listStyle]}
    <import_react_native19.Text
      accessible
      accessibilityRole="text"
      allowFontScaling={true}
      style={__spreadProps(__spreadValues({}, styles9.listItem), {
        fontFamily
      })}
    >{parsedText}</import_react_native19.Text>
  </import_react_native19.View>;
};

// src/components/List/index.tsx
var List = ({ data, fontFamily, style }) => {
  const sections = (0, import_react5.useMemo)(() => {
    return [{ data: data.items }];
  }, []);
  return <import_react_native20.SectionList
    style={[style, styles8.list]}
    sections={sections}
    keyExtractor={(item, index) => item + index}
    renderItem={({ item, index }) => <ItemList
      value={item}
      index={index}
      listStyle={data.style}
      fontFamily={fontFamily}
    />}
  />;
};

// src/components/Mark/index.tsx
var import_react_native22 = require("react-native");

// src/components/Mark/styles.ts
var import_react_native21 = require("react-native");
var styles10 = import_react_native21.StyleSheet.create({
  mark: {
    backgroundColor: "#FFFBCB"
  }
});

// src/components/Mark/index.tsx
var Mark = ({ children }) => {
  return <import_react_native22.Text
    allowFontScaling={true}
    style={styles10.mark}
  >{children}</import_react_native22.Text>;
};

// src/components/Paragraph/index.tsx
var import_react6 = require("react");
var import_react_native24 = require("react-native");

// src/components/Paragraph/styles.ts
var import_react_native23 = require("react-native");
var styles11 = import_react_native23.StyleSheet.create({
  paragraph: {
    marginVertical: 6,
    fontSize: 16,
    color: "#292929"
  }
});

// src/components/Paragraph/index.tsx
var Paragraph = (_a) => {
  var _b = _a, { data, fontFamily, style } = _b, rest = __objRest(_b, ["data", "fontFamily", "style"]);
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = (0, import_react6.useMemo)(() => parseHtmlTag(defaultListTags, data.text), []);
  return <import_react_native24.Text
    accessible
    accessibilityRole="text"
    allowFontScaling={true}
    style={[
      style,
      __spreadProps(__spreadValues({}, styles11.paragraph), { fontFamily })
    ]}
    {...rest}
  >{parsedText}</import_react_native24.Text>;
};

// src/components/Quote/index.tsx
var import_react_native26 = require("react-native");

// src/components/Quote/styles.ts
var import_react_native25 = require("react-native");
var styles12 = import_react_native25.StyleSheet.create({
  container: {
    width: "100%",
    marginVertical: 6,
    paddingHorizontal: 12,
    borderLeftWidth: 2,
    borderLeftColor: "#292929",
    borderStyle: "solid"
  },
  quoteText: {
    fontSize: 16,
    color: "#292929"
  },
  caption: {
    marginTop: 12,
    fontSize: 14,
    color: "#292929"
  }
});

// src/components/Quote/index.tsx
var import_react7 = require("react");
var Quote = (_a) => {
  var _b = _a, { data, quoteFontFamily, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "quoteFontFamily", "captionFontFamily", "style"]);
  var _a2, _b2;
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = (0, import_react7.useMemo)(() => parseHtmlTag(defaultListTags, data.text), []);
  return <import_react_native26.View accessible style={styles12.container}>
    <import_react_native26.Text
      accessibilityRole="text"
      allowFontScaling={true}
      style={[
        style,
        __spreadProps(__spreadValues({}, styles12.quoteText), {
          textAlign: (_a2 = data.alignment) != null ? _a2 : "left",
          fontFamily: quoteFontFamily
        })
      ]}
      {...rest}
    >{parsedText}</import_react_native26.Text>
    {data.caption && <import_react_native26.Text
      style={__spreadProps(__spreadValues({}, styles12.caption), {
        textAlign: (_b2 = data.alignment) != null ? _b2 : "left",
        fontFamily: captionFontFamily
      })}
    >
      {"-"}
      {data.caption}
    </import_react_native26.Text>}
  </import_react_native26.View>;
};

// src/components/SimpleImage/index.tsx
var import_react_native28 = require("react-native");

// src/components/SimpleImage/styles.ts
var import_react_native27 = require("react-native");
var styles13 = import_react_native27.StyleSheet.create({
  container: {
    width: "100%",
    marginVertical: 6,
    alignItems: "center"
  },
  image: {
    height: IMAGEHEIGHT,
    width: "100%",
    resizeMode: "contain"
  },
  caption: {
    width: "100%",
    marginTop: 4,
    fontSize: 12,
    color: "#292929",
    textAlign: "center"
  }
});

// src/components/SimpleImage/index.tsx
var SimpleImage = (_a) => {
  var _b = _a, { data, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "captionFontFamily", "style"]);
  return <import_react_native28.View
    style={[
      style,
      __spreadProps(__spreadValues({}, styles13.container), {
        height: data.caption ? IMAGEHEIGHT + 20 : IMAGEHEIGHT
      })
    ]}
    {...rest}
  >
    <import_react_native28.Image
      accessible
      accessibilityHint={`${data.caption} image`}
      accessibilityRole="image"
      source={{ uri: data.url }}
      style={styles13.image}
    />
    {data.caption && <import_react_native28.Text
      aria-hidden
      style={__spreadProps(__spreadValues({}, styles13.caption), { fontFamily: captionFontFamily })}
    >{data.caption}</import_react_native28.Text>}
  </import_react_native28.View>;
};

// src/components/Underline/index.tsx
var import_react_native29 = require("react-native");
var Underline = ({ fontFamily, children }) => {
  return <import_react_native29.Text
    allowFontScaling={true}
    style={{
      textDecorationLine: "underline",
      fontFamily
    }}
  >{children}</import_react_native29.Text>;
};

// src/config/createEditorJsViewer.tsx
var import_react8 = require("react");
var import_react_native30 = require("react-native");
var createEditorJsViewer = (props) => {
  var _a;
  const {
    delimiter,
    header,
    image,
    linkTool,
    list,
    paragraph,
    simpleImage,
    quote
  } = (_a = props == null ? void 0 : props.toolsParser) != null ? _a : {};
  return (0, import_react8.memo)((_b) => {
    var _c = _b, { data } = _c, rest = __objRest(_c, ["data"]);
    return <import_react_native30.View style={{ width: "100%" }} {...rest}>{data.blocks.map((block, index) => {
      var _a2, _b2;
      if (block.type == "image" && ((_a2 = block.data) == null ? void 0 : _a2.file) == null) {
        block.type = "simpleImage";
      }
      const isFirstBlock = index == 0;
      const isLastBlock = index == data.blocks.length - 1;
      const fixMarginIfIsFirstOrLast = {
        marginTop: isFirstBlock ? 0 : void 0,
        marginBottom: isLastBlock ? 0 : void 0
      };
      switch (block.type) {
        case "delimiter": {
          const CustomHeader = delimiter == null ? void 0 : delimiter.CustomComponent;
          return <>{CustomHeader ? <CustomHeader key={block.id} data={block.data} /> : <Delimiter
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "header": {
          const CustomHeader = header == null ? void 0 : header.CustomComponent;
          return <>{CustomHeader ? <CustomHeader key={block.id} data={block.data} /> : <Header
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
            fontFamily={header == null ? void 0 : header.fontFamily}
          />}</>;
        }
        case "image": {
          const CustomImage = image == null ? void 0 : image.CustomComponent;
          return <>{CustomImage ? <CustomImage key={block.id} data={block.data} /> : <ImageFrame
            key={block.id}
            data={block.data}
            captionFontFamily={image == null ? void 0 : image.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "linkTool": {
          const CustomLinkTool = linkTool == null ? void 0 : linkTool.CustomComponent;
          return <>{CustomLinkTool ? <CustomLinkTool key={block.id} data={block.data} /> : <LinkTool
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "list": {
          const CustomList = list == null ? void 0 : list.CustomComponent;
          return <>{CustomList ? <CustomList key={block.id} data={block.data} /> : <List
            key={block.id}
            data={block.data}
            fontFamily={list == null ? void 0 : list.fontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "paragraph": {
          const CustomParagraph = paragraph == null ? void 0 : paragraph.CustomComponent;
          return <>{CustomParagraph ? <CustomParagraph key={block.id} data={block.data} /> : <Paragraph
            key={block.id}
            data={block.data}
            fontFamily={paragraph == null ? void 0 : paragraph.fontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "simpleImage": {
          const CustomSimpleImage = simpleImage == null ? void 0 : simpleImage.CustomComponent;
          return <>{CustomSimpleImage ? <CustomSimpleImage key={block.id} data={block.data} /> : <SimpleImage
            key={block.id}
            data={block.data}
            captionFontFamily={simpleImage == null ? void 0 : simpleImage.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "quote": {
          const CustomQuote = (_b2 = quote == null ? void 0 : quote.CustomComponent) != null ? _b2 : Quote;
          return <>{CustomQuote ? <CustomQuote key={block.id} data={block.data} /> : <Quote
            key={block.id}
            data={block.data}
            quoteFontFamily={quote == null ? void 0 : quote.quoteFontFamily}
            captionFontFamily={quote == null ? void 0 : quote.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        default:
          return <>{(props == null ? void 0 : props.unknownBlockFallback) ? <FallbackBlock key={block.id} blockType={block.type} /> : null}</>;
      }
    })}</import_react_native30.View>;
  });
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Bold,
  Code,
  Delimiter,
  FallbackBlock,
  Header,
  ImageFrame,
  Italic,
  LinkTool,
  List,
  Mark,
  Paragraph,
  Quote,
  SimpleImage,
  Underline,
  createEditorJsViewer
});
