var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
var __async = (__this, __arguments, generator) => {
  return new Promise((resolve, reject) => {
    var fulfilled = (value) => {
      try {
        step(generator.next(value));
      } catch (e) {
        reject(e);
      }
    };
    var rejected = (value) => {
      try {
        step(generator.throw(value));
      } catch (e) {
        reject(e);
      }
    };
    var step = (x) => x.done ? resolve(x.value) : Promise.resolve(x.value).then(fulfilled, rejected);
    step((generator = generator.apply(__this, __arguments)).next());
  });
};

// src/components/Bold/index.tsx
import { Text } from "react-native";
var Bold = ({ fontFamily, children }) => {
  return <Text
    allowFontScaling={true}
    style={{
      fontWeight: "700",
      fontFamily
    }}
  >{children}</Text>;
};

// src/components/Code/index.tsx
import { Text as Text2 } from "react-native";

// src/components/Code/styles.ts
import { StyleSheet } from "react-native";
var styles = StyleSheet.create({
  code: {
    color: "#C44437",
    backgroundColor: "#f2f2f2"
  }
});

// src/components/Code/index.tsx
var Code = ({ children }) => {
  return <Text2
    allowFontScaling={true}
    style={styles.code}
  >{children}</Text2>;
};

// src/components/Delimiter/index.tsx
import { View, Text as Text3 } from "react-native";
import { decode } from "html-entities";

// src/components/Delimiter/styles.ts
import { StyleSheet as StyleSheet2 } from "react-native";
var styles2 = StyleSheet2.create({
  container: {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "center",
    width: "100%",
    marginVertical: 6,
    paddingVertical: 16
  },
  delimiter: {
    marginHorizontal: 6,
    fontSize: 24,
    color: "#181819"
  }
});

// src/components/Delimiter/index.tsx
var Delimiter = (_a) => {
  var _b = _a, { style } = _b, rest = __objRest(_b, ["style"]);
  return <View
    aria-hidden
    style={[
      style,
      __spreadValues({}, styles2.container)
    ]}
    {...rest}
  >
    <Text3 style={styles2.delimiter}>{decode("&ast;")}</Text3>
    <Text3 style={styles2.delimiter}>{decode("&ast;")}</Text3>
    <Text3 style={styles2.delimiter}>{decode("&ast;")}</Text3>
  </View>;
};

// src/components/FallbackBlock/index.tsx
import { View as View2, Text as Text4 } from "react-native";

// src/components/FallbackBlock/styles.ts
import { StyleSheet as StyleSheet3 } from "react-native";
var styles3 = StyleSheet3.create({
  container: {
    display: "flex",
    alignItem: "center",
    justifyContent: "center",
    marginVertical: 6,
    marginHorizontal: 12,
    padding: 12,
    backgroundColor: "#F4EDED",
    borderColor: "#E88285",
    borderStyle: "solid",
    borderWidth: 1
  },
  alertText: {
    fontSize: 16,
    color: "#E44045",
    textAlign: "center"
  }
});

// src/components/FallbackBlock/index.tsx
var FallbackBlock = (_a) => {
  var _b = _a, { blockType, style } = _b, rest = __objRest(_b, ["blockType", "style"]);
  return <View2
    accessibilityRole="alert"
    style={[style, styles3.container]}
    {...rest}
  ><Text4
    accessible
    style={styles3.alertText}
  >
    {'Type "'}
    {blockType}
    {'" is yet not supported :c'}
  </Text4></View2>;
};

// src/components/Header/index.tsx
import { Text as Text5 } from "react-native";
import { useMemo } from "react";

// src/components/Header/styles.ts
import { StyleSheet as StyleSheet4 } from "react-native";
var styles4 = StyleSheet4.create({
  global: {
    marginVertical: 6,
    color: "#181819"
  },
  h1: {
    fontWeight: "700",
    fontSize: 24
  },
  h2: {
    fontWeight: "700",
    fontSize: 22
  },
  h3: {
    fontWeight: "600",
    fontSize: 20
  },
  h4: {
    fontWeight: "600",
    fontSize: 18
  },
  h5: {
    fontWeight: "600",
    fontSize: 16
  },
  h6: {
    fontWeight: "500",
    fontSize: 16
  }
});

// src/components/Header/index.tsx
var Header = (_a) => {
  var _b = _a, { data, fontFamily, style } = _b, rest = __objRest(_b, ["data", "fontFamily", "style"]);
  const stylesByHeadingLevel = useMemo(() => styles4[`h${data.level}`], []);
  return <Text5
    accessible={true}
    accessibilityRole="header"
    allowFontScaling={true}
    style={[
      style,
      __spreadProps(__spreadValues(__spreadValues({}, styles4.global), stylesByHeadingLevel), { fontFamily })
    ]}
    {...rest}
  >{data.text}</Text5>;
};

// src/components/ImageFrame/index.tsx
import { Image, View as View3, Text as Text6 } from "react-native";

// src/constants/sizes.ts
var IMAGEHEIGHT = 180;

// src/components/ImageFrame/styles.ts
import { StyleSheet as StyleSheet5 } from "react-native";
var styles5 = StyleSheet5.create({
  container: {
    width: "100%",
    marginVertical: 6,
    alignItems: "center"
  },
  image: {
    height: IMAGEHEIGHT,
    width: "100%",
    resizeMode: "contain",
    backgroundColor: "#f2f2f2"
  },
  caption: {
    width: "100%",
    marginTop: 4,
    fontSize: 12,
    color: "#292929",
    textAlign: "center"
  }
});

// src/components/ImageFrame/index.tsx
var ImageFrame = (_a) => {
  var _b = _a, { data, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "captionFontFamily", "style"]);
  return <View3
    style={[
      style,
      __spreadProps(__spreadValues({}, styles5.container), {
        height: data.caption ? IMAGEHEIGHT + 24 : IMAGEHEIGHT
      })
    ]}
    {...rest}
  >
    <Image
      accessible
      accessibilityHint={`${data.caption} image`}
      accessibilityRole="image"
      source={{ uri: data.file.url }}
      style={styles5.image}
    />
    {data.caption && <Text6
      aria-hidden
      style={__spreadProps(__spreadValues({}, styles5.caption), { fontFamily: captionFontFamily })}
    >{data.caption}</Text6>}
  </View3>;
};

// src/components/Italic/index.tsx
import { Text as Text7 } from "react-native";

// src/components/Italic/styles.ts
import { StyleSheet as StyleSheet6 } from "react-native";
var styles6 = StyleSheet6.create({
  italic: {
    fontStyle: "italic"
  }
});

// src/components/Italic/index.tsx
var Italic = ({ children, fontFamily }) => {
  return <Text7
    allowFontScaling={true}
    style={__spreadProps(__spreadValues({}, styles6.italic), {
      fontFamily
    })}
  >{children}</Text7>;
};

// src/components/LinkTool/index.tsx
import { TouchableOpacity, Linking, View as View4, Text as Text8, Image as Image2, Alert } from "react-native";
import { useCallback } from "react";

// src/components/LinkTool/styles.ts
import { StyleSheet as StyleSheet7 } from "react-native";
var IMAGEHEIGHT2 = 100;
var styles7 = StyleSheet7.create({
  wrapper: {
    width: "100%",
    marginVertical: 6
  },
  container: {
    flexDirection: "row",
    width: "100%",
    borderRadius: 2,
    borderColor: "#DFDFDE",
    borderStyle: "solid",
    borderWidth: 1
  },
  dataContainer: {
    flex: 1,
    paddingTop: 12,
    paddingBottom: 12,
    paddingLeft: 12
  },
  title: {
    fontWeight: "600",
    fontSize: 16,
    height: 18
  },
  description: {
    color: "#7D7C78",
    marginTop: 4,
    fontSize: 14,
    height: 32
  },
  link: {
    marginTop: 6,
    fontSize: 14,
    height: 16
  },
  imageContainer: {
    width: IMAGEHEIGHT2,
    height: IMAGEHEIGHT2,
    marginLeft: 12,
    alignItems: "center"
  },
  image: {
    width: "100%",
    height: IMAGEHEIGHT2,
    resizeMode: "cover"
  }
});

// src/components/LinkTool/index.tsx
var LinkTool = (_a) => {
  var _b = _a, { data: { link, meta }, style } = _b, rest = __objRest(_b, ["data", "style"]);
  var _a2;
  const handleOpenLink = useCallback((link2) => __async(void 0, null, function* () {
    try {
      yield Linking.openURL(link2);
    } catch (e) {
      Alert.alert(`Don't know how to open this URL: ${link2}`);
    }
  }), []);
  return <><TouchableOpacity
    accessible
    accessibilityRole="link"
    accessibilityLabel="Bookmark"
    accessibilityHint="Clique para abrir o link"
    activeOpacity={0.2}
    style={[style, styles7.wrapper]}
    onPress={() => handleOpenLink(link)}
    {...rest}
  ><View4 style={styles7.container}>
    <View4 style={styles7.dataContainer}>
      {(meta.title || meta.site_name) && <Text8
        style={styles7.title}
        numberOfLines={1}
        ellipsizeMode="tail"
      >{meta.title || meta.site_name}</Text8>}
      {meta.description && <Text8
        style={styles7.description}
        numberOfLines={2}
        ellipsizeMode="tail"
      >{meta.description}</Text8>}
      {link && <Text8
        style={styles7.link}
        numberOfLines={1}
        ellipsizeMode="tail"
      >{link}</Text8>}
    </View4>
    <View4 style={styles7.imageContainer}>{((_a2 = meta == null ? void 0 : meta.image) == null ? void 0 : _a2.url) && <Image2
      source={{
        uri: meta.image.url
      }}
      style={styles7.image}
    />}</View4>
  </View4></TouchableOpacity></>;
};

// src/components/List/index.tsx
import { useMemo as useMemo4 } from "react";
import { SectionList } from "react-native";

// src/components/List/styles.ts
import { StyleSheet as StyleSheet8 } from "react-native";
var styles8 = StyleSheet8.create({
  list: {
    marginVertical: 6
  }
});

// src/components/List/ItemList/index.tsx
import { useMemo as useMemo3 } from "react";
import { Text as Text10, View as View5 } from "react-native";

// src/hooks/useParseHtmlTags.tsx
import { createElement, Fragment, useMemo as useMemo2, useCallback as useCallback2 } from "react";
import { Text as Text9 } from "react-native";
import { decode as decode2 } from "html-entities";
var useParseHtmlTags = () => {
  const defaultListTags = useMemo2(() => [
    "b",
    "code",
    "i",
    "mark",
    "u"
  ], []);
  const getTagName = useCallback2((value) => {
    var _a, _b, _c;
    const startTagName = value.trim().substring(1);
    const indexOfEndTagName = (_b = (_a = startTagName.match(/ (.*?)>/)) == null ? void 0 : _a.index) != null ? _b : 1;
    return startTagName.substring(0, (_c = Number(indexOfEndTagName)) != null ? _c : 1);
  }, []);
  const getComponentByName = useCallback2((name) => {
    switch (name) {
      case "b":
        return Bold;
      case "code":
        return Code;
      case "i":
        return Italic;
      case "mark":
        return Mark;
      case "u":
        return Underline;
      default:
        return Text9;
    }
  }, []);
  const createElementByTagName = useCallback2(
    (tagChildren, tagName) => {
      return createElement(
        getComponentByName(tagName),
        null,
        tagChildren
      );
    },
    [getComponentByName]
  );
  const matchTagInList = useCallback2(
    (listOfTags, text) => {
      const { match } = listOfTags.reduce((acum, tag) => {
        const currentMatch = text.match(new RegExp(`<${tag}(.*?)>`));
        if (!currentMatch)
          return acum;
        if (acum.match == null) {
          acum.match = currentMatch;
          return acum;
        }
        const currentMatchIsPreviousAcumMatch = currentMatch.index != null && acum.match.index != null && currentMatch.index < acum.match.index;
        if (currentMatchIsPreviousAcumMatch) {
          acum.match = currentMatch;
          return acum;
        }
        return acum;
      }, { match: null });
      return match;
    },
    []
  );
  const parseHtmlTag = useCallback2(
    (listOfTags, value) => {
      const firstMatchTag = matchTagInList(listOfTags, value);
      if (firstMatchTag == null || (firstMatchTag == null ? void 0 : firstMatchTag.index) == null) {
        return <Fragment>{decode2(value)}</Fragment>;
      }
      const stringAfterTargetTag = value.substring(firstMatchTag.index + firstMatchTag[0].length);
      const tagName = getTagName(firstMatchTag[0]);
      const closeTag = stringAfterTargetTag.match(new RegExp(`</${tagName}>`));
      const nextOpenTag = matchTagInList(listOfTags, stringAfterTargetTag);
      if ((closeTag == null ? void 0 : closeTag.index) == null || closeTag.index == null && (nextOpenTag == null ? void 0 : nextOpenTag.index) == null) {
        return <Fragment>{decode2(value)}</Fragment>;
      }
      if ((nextOpenTag == null ? void 0 : nextOpenTag.index) == null || closeTag.index < nextOpenTag.index) {
        const textBeforeTag2 = value.substring(0, firstMatchTag.index);
        const tagText2 = stringAfterTargetTag.substring(0, closeTag.index);
        const textAfterTag2 = stringAfterTargetTag.substring(closeTag.index + closeTag[0].length);
        return <Fragment>
          {textBeforeTag2 && decode2(textBeforeTag2)}
          {createElementByTagName(decode2(tagText2), tagName)}
          {textAfterTag2 && parseHtmlTag(listOfTags, textAfterTag2)}
        </Fragment>;
      }
      const textBeforeTag = value.substring(0, firstMatchTag.index);
      const tagText = value.substring(firstMatchTag.index + firstMatchTag[0].length);
      const textAfterTag = stringAfterTargetTag.substring(closeTag.index + closeTag[0].length);
      return <Fragment>
        {textBeforeTag && decode2(textBeforeTag)}
        {createElementByTagName(
          parseHtmlTag(listOfTags, tagText.substring(0, closeTag.index)),
          tagName
        )}
        {textAfterTag && parseHtmlTag(listOfTags, textAfterTag)}
      </Fragment>;
    },
    [matchTagInList, getTagName, createElementByTagName]
  );
  return {
    defaultListTags,
    parseHtmlTag
  };
};

// src/components/List/ItemList/styles.ts
import { StyleSheet as StyleSheet9 } from "react-native";
var styles9 = StyleSheet9.create({
  container: {
    flexDirection: "row",
    alignContent: "center",
    paddingLeft: 12
  },
  listItem: {
    fontSize: 16,
    color: "#292929"
  },
  dot: {
    height: 6,
    maxHeight: 6,
    width: 6,
    maxWidth: 6,
    marginRight: 12,
    borderRadius: 6,
    backgroundColor: "#292929"
  }
});

// src/components/List/ItemList/index.tsx
var ItemList = ({ value, listStyle, index, fontFamily }) => {
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = useMemo3(() => parseHtmlTag(defaultListTags, value), []);
  return <View5 style={styles9.container}>
    {{
      "ordered": <View5 style={styles9.dot} />,
      "unordered": <Text10 style={__spreadProps(__spreadValues({}, styles9.listItem), { marginRight: 16 })}>{index + 1}</Text10>
    }[listStyle]}
    <Text10
      accessible
      accessibilityRole="text"
      allowFontScaling={true}
      style={__spreadProps(__spreadValues({}, styles9.listItem), {
        fontFamily
      })}
    >{parsedText}</Text10>
  </View5>;
};

// src/components/List/index.tsx
var List = ({ data, fontFamily, style }) => {
  const sections = useMemo4(() => {
    return [{ data: data.items }];
  }, []);
  return <SectionList
    style={[style, styles8.list]}
    sections={sections}
    keyExtractor={(item, index) => item + index}
    renderItem={({ item, index }) => <ItemList
      value={item}
      index={index}
      listStyle={data.style}
      fontFamily={fontFamily}
    />}
  />;
};

// src/components/Mark/index.tsx
import { Text as Text11 } from "react-native";

// src/components/Mark/styles.ts
import { StyleSheet as StyleSheet10 } from "react-native";
var styles10 = StyleSheet10.create({
  mark: {
    backgroundColor: "#FFFBCB"
  }
});

// src/components/Mark/index.tsx
var Mark = ({ children }) => {
  return <Text11
    allowFontScaling={true}
    style={styles10.mark}
  >{children}</Text11>;
};

// src/components/Paragraph/index.tsx
import { useMemo as useMemo5 } from "react";
import { Text as Text12 } from "react-native";

// src/components/Paragraph/styles.ts
import { StyleSheet as StyleSheet11 } from "react-native";
var styles11 = StyleSheet11.create({
  paragraph: {
    marginVertical: 6,
    fontSize: 16,
    color: "#292929"
  }
});

// src/components/Paragraph/index.tsx
var Paragraph = (_a) => {
  var _b = _a, { data, fontFamily, style } = _b, rest = __objRest(_b, ["data", "fontFamily", "style"]);
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = useMemo5(() => parseHtmlTag(defaultListTags, data.text), []);
  return <Text12
    accessible
    accessibilityRole="text"
    allowFontScaling={true}
    style={[
      style,
      __spreadProps(__spreadValues({}, styles11.paragraph), { fontFamily })
    ]}
    {...rest}
  >{parsedText}</Text12>;
};

// src/components/Quote/index.tsx
import { View as View6, Text as Text13 } from "react-native";

// src/components/Quote/styles.ts
import { StyleSheet as StyleSheet12 } from "react-native";
var styles12 = StyleSheet12.create({
  container: {
    width: "100%",
    marginVertical: 6,
    paddingHorizontal: 12,
    borderLeftWidth: 2,
    borderLeftColor: "#292929",
    borderStyle: "solid"
  },
  quoteText: {
    fontSize: 16,
    color: "#292929"
  },
  caption: {
    marginTop: 12,
    fontSize: 14,
    color: "#292929"
  }
});

// src/components/Quote/index.tsx
import { useMemo as useMemo6 } from "react";
var Quote = (_a) => {
  var _b = _a, { data, quoteFontFamily, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "quoteFontFamily", "captionFontFamily", "style"]);
  var _a2, _b2;
  const { parseHtmlTag, defaultListTags } = useParseHtmlTags();
  const parsedText = useMemo6(() => parseHtmlTag(defaultListTags, data.text), []);
  return <View6 accessible style={styles12.container}>
    <Text13
      accessibilityRole="text"
      allowFontScaling={true}
      style={[
        style,
        __spreadProps(__spreadValues({}, styles12.quoteText), {
          textAlign: (_a2 = data.alignment) != null ? _a2 : "left",
          fontFamily: quoteFontFamily
        })
      ]}
      {...rest}
    >{parsedText}</Text13>
    {data.caption && <Text13
      style={__spreadProps(__spreadValues({}, styles12.caption), {
        textAlign: (_b2 = data.alignment) != null ? _b2 : "left",
        fontFamily: captionFontFamily
      })}
    >
      {"-"}
      {data.caption}
    </Text13>}
  </View6>;
};

// src/components/SimpleImage/index.tsx
import { Image as Image3, View as View7, Text as Text14 } from "react-native";

// src/components/SimpleImage/styles.ts
import { StyleSheet as StyleSheet13 } from "react-native";
var styles13 = StyleSheet13.create({
  container: {
    width: "100%",
    marginVertical: 6,
    alignItems: "center"
  },
  image: {
    height: IMAGEHEIGHT,
    width: "100%",
    resizeMode: "contain"
  },
  caption: {
    width: "100%",
    marginTop: 4,
    fontSize: 12,
    color: "#292929",
    textAlign: "center"
  }
});

// src/components/SimpleImage/index.tsx
var SimpleImage = (_a) => {
  var _b = _a, { data, captionFontFamily, style } = _b, rest = __objRest(_b, ["data", "captionFontFamily", "style"]);
  return <View7
    style={[
      style,
      __spreadProps(__spreadValues({}, styles13.container), {
        height: data.caption ? IMAGEHEIGHT + 20 : IMAGEHEIGHT
      })
    ]}
    {...rest}
  >
    <Image3
      accessible
      accessibilityHint={`${data.caption} image`}
      accessibilityRole="image"
      source={{ uri: data.url }}
      style={styles13.image}
    />
    {data.caption && <Text14
      aria-hidden
      style={__spreadProps(__spreadValues({}, styles13.caption), { fontFamily: captionFontFamily })}
    >{data.caption}</Text14>}
  </View7>;
};

// src/components/Underline/index.tsx
import { Text as Text15 } from "react-native";
var Underline = ({ fontFamily, children }) => {
  return <Text15
    allowFontScaling={true}
    style={{
      textDecorationLine: "underline",
      fontFamily
    }}
  >{children}</Text15>;
};

// src/config/createEditorJsViewer.tsx
import { memo } from "react";
import { View as View8 } from "react-native";
var createEditorJsViewer = (props) => {
  var _a;
  const {
    delimiter,
    header,
    image,
    linkTool,
    list,
    paragraph,
    simpleImage,
    quote
  } = (_a = props == null ? void 0 : props.toolsParser) != null ? _a : {};
  return memo((_b) => {
    var _c = _b, { data } = _c, rest = __objRest(_c, ["data"]);
    return <View8 style={{ width: "100%" }} {...rest}>{data.blocks.map((block, index) => {
      var _a2, _b2;
      if (block.type == "image" && ((_a2 = block.data) == null ? void 0 : _a2.file) == null) {
        block.type = "simpleImage";
      }
      const isFirstBlock = index == 0;
      const isLastBlock = index == data.blocks.length - 1;
      const fixMarginIfIsFirstOrLast = {
        marginTop: isFirstBlock ? 0 : void 0,
        marginBottom: isLastBlock ? 0 : void 0
      };
      switch (block.type) {
        case "delimiter": {
          const CustomHeader = delimiter == null ? void 0 : delimiter.CustomComponent;
          return <>{CustomHeader ? <CustomHeader key={block.id} data={block.data} /> : <Delimiter
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "header": {
          const CustomHeader = header == null ? void 0 : header.CustomComponent;
          return <>{CustomHeader ? <CustomHeader key={block.id} data={block.data} /> : <Header
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
            fontFamily={header == null ? void 0 : header.fontFamily}
          />}</>;
        }
        case "image": {
          const CustomImage = image == null ? void 0 : image.CustomComponent;
          return <>{CustomImage ? <CustomImage key={block.id} data={block.data} /> : <ImageFrame
            key={block.id}
            data={block.data}
            captionFontFamily={image == null ? void 0 : image.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "linkTool": {
          const CustomLinkTool = linkTool == null ? void 0 : linkTool.CustomComponent;
          return <>{CustomLinkTool ? <CustomLinkTool key={block.id} data={block.data} /> : <LinkTool
            key={block.id}
            data={block.data}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "list": {
          const CustomList = list == null ? void 0 : list.CustomComponent;
          return <>{CustomList ? <CustomList key={block.id} data={block.data} /> : <List
            key={block.id}
            data={block.data}
            fontFamily={list == null ? void 0 : list.fontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "paragraph": {
          const CustomParagraph = paragraph == null ? void 0 : paragraph.CustomComponent;
          return <>{CustomParagraph ? <CustomParagraph key={block.id} data={block.data} /> : <Paragraph
            key={block.id}
            data={block.data}
            fontFamily={paragraph == null ? void 0 : paragraph.fontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "simpleImage": {
          const CustomSimpleImage = simpleImage == null ? void 0 : simpleImage.CustomComponent;
          return <>{CustomSimpleImage ? <CustomSimpleImage key={block.id} data={block.data} /> : <SimpleImage
            key={block.id}
            data={block.data}
            captionFontFamily={simpleImage == null ? void 0 : simpleImage.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        case "quote": {
          const CustomQuote = (_b2 = quote == null ? void 0 : quote.CustomComponent) != null ? _b2 : Quote;
          return <>{CustomQuote ? <CustomQuote key={block.id} data={block.data} /> : <Quote
            key={block.id}
            data={block.data}
            quoteFontFamily={quote == null ? void 0 : quote.quoteFontFamily}
            captionFontFamily={quote == null ? void 0 : quote.captionFontFamily}
            style={fixMarginIfIsFirstOrLast}
          />}</>;
        }
        default:
          return <>{(props == null ? void 0 : props.unknownBlockFallback) ? <FallbackBlock key={block.id} blockType={block.type} /> : null}</>;
      }
    })}</View8>;
  });
};
export {
  Bold,
  Code,
  Delimiter,
  FallbackBlock,
  Header,
  ImageFrame,
  Italic,
  LinkTool,
  List,
  Mark,
  Paragraph,
  Quote,
  SimpleImage,
  Underline,
  createEditorJsViewer
};
